# Uses of Class
org.apache.lucene.analysis.compound.hyphenation.Hyphenation

Packages that use Hyphenation
Package
Description
org.apache.lucene.analysis.compound.hyphenation
Hyphenation code for the CompoundWordTokenFilter.

- ## Uses of Hyphenation in org.apache.lucene.analysis.compound.hyphenation

  Methods in org.apache.lucene.analysis.compound.hyphenation that return Hyphenation
  Modifier and Type
  Method
  Description
  `Hyphenation`
  HyphenationTree.`hyphenate(char[] w, int offset, int len, int remainCharCount, int pushCharCount)`
  Hyphenate word and return an array of hyphenation points.
  `Hyphenation`
  HyphenationTree.`hyphenate(String word, int remainCharCount, int pushCharCount)`
  Hyphenate word and return a Hyphenation object.